Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.UpdateCacheOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.UpdateCache`, `ClientWireProtocol.UpdateCache.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.UpdateCacheOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `getClear()` | `bool clear = 2;`
`ClientWireProtocol.CacheEntry` | `getEntry​(int index)` | `repeated .xg.cmdcomp.CacheEntry entry = 3;`
`int` | `getEntryCount()` | `repeated .xg.cmdcomp.CacheEntry entry = 3;`
`List<ClientWireProtocol.CacheEntry>` | `getEntryList()` | `repeated .xg.cmdcomp.CacheEntry entry = 3;`
`ClientWireProtocol.CacheEntryOrBuilder` | `getEntryOrBuilder​(int index)` | `repeated .xg.cmdcomp.CacheEntry entry = 3;`
`List<? extends ClientWireProtocol.CacheEntryOrBuilder>` | `getEntryOrBuilderList()` | `repeated .xg.cmdcomp.CacheEntry entry = 3;`
`String` | `getServerUuid()` | `string server_uuid = 1;`
`com.google.protobuf.ByteString` | `getServerUuidBytes()` | `string server_uuid = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getServerUuid

String getServerUuid()
`string server_uuid = 1;`

Returns:
  The serverUuid.

### getServerUuidBytes

com.google.protobuf.ByteString getServerUuidBytes()
`string server_uuid = 1;`

Returns:
  The bytes for serverUuid.

### getClear

boolean getClear()
`bool clear = 2;`

Returns:
  The clear.

### getEntryList

List<ClientWireProtocol.CacheEntry> getEntryList()
`repeated .xg.cmdcomp.CacheEntry entry = 3;`

### getEntry

ClientWireProtocol.CacheEntry getEntry​(int index)
`repeated .xg.cmdcomp.CacheEntry entry = 3;`

### getEntryCount

int getEntryCount()
`repeated .xg.cmdcomp.CacheEntry entry = 3;`

### getEntryOrBuilderList

List<? extends ClientWireProtocol.CacheEntryOrBuilder> getEntryOrBuilderList()
`repeated .xg.cmdcomp.CacheEntry entry = 3;`

### getEntryOrBuilder

ClientWireProtocol.CacheEntryOrBuilder getEntryOrBuilder​(int index)
`repeated .xg.cmdcomp.CacheEntry entry = 3;`